Subject: Re: Packetlost when "tc qdisc del dev eth0 root"

From: Badalian Vyacheslav <[email-masked]>
Date: Wed, 16 Jan 2008 11:54:59 +0300

Jarek Poplawski пишет:
> On Wed, Jan 16, 2008 at 09:05:47AM +0100, Patrick McHardy wrote:
> ...
>   
>> Yes, thats one possibility (without the dummy device though please).
>> But I wonder what this would actually be useful for. I don't think
>> replacing the root qdisc by a different type is a common scenario,
>> for the same type you can simply use "tc qdisc change", "tc class
>> change" and "tc class replace".
>>
>> Badalian, what are you actually doing?
>>     
>
> I'm not sure Vyacheslav needs just this, but I've thought about the
> possibility to recreate the 'shadow' copy of currently used qdisc
> tree (with some updates of course) while it's running. So, the
> possibility of using all the same handles and classids, and even
> dev names if possible, and doing such a switch without any visible
> break.
>
> Jarek P.
>
>   
I also think that system must forward all packets what it get if it not 
dropped manual (by iptables or shaper).
Maybe someone need to test delete big TREE.. simple delete, not 
recreate... linux unavailable some time (if its realy big table its time 
may be 10-20 sec on 2xXeon).
I think need helper to do that operations more accurate. Now see 
situation that linux is PPTP server... its get 2000k connection... try 
delete qdisc on eth0 (incoming from wan to pptp clients)... i think many 
sessions will drop.

Thanks!